export declare class ServiceConfig {
    apiUrl: string;
    usersEndpoint: string;
    listItemsEndpoint: string;
    username: string;
    password: string;
    photos: {
        site: string;
        list: string;
        additionalPropertiesToRetrieve: string[];
    };
    caching: {
        enabled: boolean;
        lifeMinutes: number;
    };
    logging: {
        dataCached: boolean;
        cachedDataReturned: boolean;
        freshDataReturned: boolean;
        cacheCleared: boolean;
    };
}
